Subject: bug#40538: installer: Support uvesafb to install on machines without KMS.

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Mon, 13 Apr 2020 07:37:25 +0200

On Mon, Apr 13, 2020 at 07:00:26AM +0200, Bengt Richter wrote:
> Sorry I don't seem to be able to accept a mystery sigsev ;-)

Thank you for your debugging help.  Of course you are right that
sigsegv is not good error handling.  I can look later what might be
the error in /sbin/v86d.  But now I am busy with other bugs.

> Hm, could it be there in /gnu/store and have been built so it's a wrong
> version somehow for the running kernel? That's the only bug possibility
> I can think of now ;-)

The latest commits to https://github.com/mjanusz/v86d are from 2014.
However we patch v86d to use a more recent x86emu.  Maybe there is
some incompatibility.

> sudo dmesg|grep -i fb in that context doesn't show anything weird?
> 
> Oh, well. 
> Could it be wrapped and caught in a catch?

Probably yes.  I will get back to this bug later, feel free to change
and catch things in the meantime.

Maybe the sigsegv even shows up in QEMU?

Regards,
Florian